#!/bin/sh
#
# Lagar frekvensordliste for omsettingane våre.
# Tar inn ei liste over mapper å henta omsettingar frå.

# Tar inn mappenamn som første parameter
mapper=$@

minfrek=2          # Berre ta med ord som førekjem so mange gongar …
minlengd=3         # … og berre viss orda er minst so lange.

# Lagra ordlista her.
ordliste=ordliste.txt

# Mellombels fil.
tmp=$(mktemp)

# Bruk standardmappe (nynorske KDE 4-omsettingar) viss ingen mapper er valde.
if [ -z "$mapper" ]; then mapper='../kde4-trunk/nn/messages'; fi

# Kva språk og mappe vert brukt?
echo -e "Mapper: $mapper"

# Gå gjennom alle .po-filene i alle mappene og lag ordoversikt.
for i in $mapper; do
  find $i -name '*.po' | while read fil
  do
    echo $fil
    sed '0,/^$/d' $fil | msgexec 0 >> $tmp
  done
done

cat $tmp \
| tr '\0A-ZÆØÅ' '\na-zæøå' \
| tr -d '[:digit:]' \
| sed 's/&//g
/<[^>]*>/s/<[^>]*>/ /g
s/\W/ /g
s/ /\n/g' \
| sort | uniq -c | sort -nr \
| awk '{if ( NF==2 && $1 >= '$minfrek' && length($2) >= '$minlengd' ) print}' > $ordliste

# Fjern den mellombelse fila.
rm -f $tmp
