#!/bin/sh
# Kopierer kde4-stable-treet til kde4-trunk, og gjer alle småting som må til.

sln_svn=~/utvikling/skolelinux/i18n
sprak="nb nn se"

function leggtilfjern
{
  nye=$(svn status | grep "^\?" | cut -c8-)
  fjerna=$(svn status | grep "^\!" | cut -c8-)
  if [ -n "$nye" ]; then svn add $nye; fi
  if [ -n "$fjerna" ]; then svn delete $fjerna; fi
}

echo "--- Oppdaterer stable ---"
cd "$sln_svn/kde4-stable"
svn up

echo "--- Oppdaterer trunk ---"
cd "$sln_svn/kde4-trunk"
svn up

rsync_val="--exclude-from=$sln_svn/skript/ekskluderingsfil --recursive"
for sprk in $sprak
do
  echo "--- Oppdaterer språket $sprk ---"
  rsync $rsync_val "$sln_svn/kde4-stable/$sprk" "$sln_svn/kde4-trunk"
done

echo "--- Flytter rundt på filer og sånt ---"

cd "$sln_svn/kde4-trunk"
sh ./scripts/process_orphans.sh

echo "--- Legg til og fjernar filer i SVN ---"
cd "$sln_svn/kde4-trunk"
leggtilfjern
svn commit -m "Overført omsettingar frå kde4-stable til kde4-trunk."
