#!/bin/sh
# Sender statusrapport om syntaksfeil i omsettingane.

# Ymse variablar.
sln_svn=~/utvikling/skolelinux/i18n
sprak="se nn nb"
versjonar="kde4/summit"

cd $sln_svn
svn up kde4
svn up kde4
cd skript
mkdir -p feil

# Kjør test for alle språka.
for sprk in $sprak
do
echo $sprk


# Variablar for språknamn og tilhøyrande e-postadresser.
if [ $sprk = "nn" ]; then
  langsprk="nynorsk"
  epost="i18n-nn@lister.ping.uio.no"
elif [ $sprk = "nb" ]; then
  langsprk="bokmåls"
  epost="i18n-nb@lister.ping.uio.no"
elif [ $sprk = "se" ]; then
  langsprk="samisk"
  epost="i18n-sme@lister.ping.uio.no"
fi

# Introtekst til e-post.
echo -e "\
Fann følgjande syntaksfeil i ${langsprk}omsettingane.\n\
Venligst rett opp i desse.\n\n\
Ugyldige PO-filer\n\
-----------------\n" > feil/$sprk.txt


# Test etter syntaksfeil i .po-filene.
for versjon in $versjonar
do
echo $versjon
find $sln_svn/$versjon/$sprk -name '*.po' | while read fil; do msgfmt -c -o /dev/null $fil 2>> feil/$sprk.txt; done
echo "" >> feil/$sprk.txt
done


# Test etter ikkje-velforma HTML/XML i .po-filene.
echo -e "\n\n\
Formatspesifikke feil\n\
---------------------\n" >> feil/$sprk.txt

export PYTHONPATH=$sln_svn/kde4/scripts:$PYTHONPATH

for versjon in $versjonar
do
echo $versjon
$sln_svn/kde4/summit/pology/scripts/posieve.py check_tp_kde -sshowmsg $sln_svn/$versjon/$sprk/summit/{messages,docmessages} >> feil/$sprk.txt 2>&1
echo "" >> feil/$sprk.txt
done

# Send ut e-post om det vart oppdaga feil.
if [ -n "$(cat feil/$sprk.txt | grep '/i18n')" ] # Sjå berre på linjer som har med feil å gjera ved test om tom rapport.
then
  echo "Feil for ${langsprk}. Sender e-post."
  cat feil/$sprk.txt | sed -r 's/\/[^ ]+\/i18n\///g' | mutt -s "Syntaksfeil i ${langsprk}omsettingar" $epost
else
  echo "Ingen feil for ${langsprk}."
fi

done # språk
